Flext virtual dsp functions
Flext dsp class

## Functions

virtual bool | flext_dsp::CbDsp ()
| Called on every dsp init. More...
virtual void | flext_dsp::CbSignal ()
| Called with every signal vector - here you do the dsp calculation flext_dsp::CbSignal fills all output vectors with silence. More...
virtual void | flext_dsp::m_dsp (int n, t_signalvec const *insigs, t_signalvec const *outsigs)
| Deprecated method for CbSignal. More...
virtual void | flext_dsp::m_signal (int n, t_sample *const *insigs, t_sample *const *outsigs)
| Deprecated method for CbSignal. More...

## Detailed Description

## Function Documentation

## CbDsp()

bool flext_dsp::CbDsp | ( |  | ) |

virtual

Called on every dsp init.

Note
  Don't expect any valid data in the signal vectors! flext_dsp::CbDsp should not be called by the derived class

Returns
  true (default)... use DSP, false, don't use DSP

Reimplemented in flext_stk, and flext_sndobj.

## CbSignal()

void flext_dsp::CbSignal | ( |  | ) |

virtual

Called with every signal vector - here you do the dsp calculation flext_dsp::CbSignal fills all output vectors with silence.

Reimplemented in flext_stk, and flext_sndobj.

## m_dsp()

void flext_dsp::m_dsp | ( | int | n,
|  | t_signalvec const * | insigs,
|  | t_signalvec const * | outsigs
| ) |  |

virtual

Deprecated method for CbSignal.

Deprecated:

Parameters

  n | frames (aka samples) in one signal vector
  insigs | array of input vectors (get number with function CntInSig())
  outsigs | array of output vectors (get number with function CntOutSig())

## m_signal()

void flext_dsp::m_signal | ( | int | n,
|  | t_sample *const * | insigs,
|  | t_sample *const * | outsigs
| ) |  |

virtual

Deprecated method for CbSignal.

Deprecated:

Parameters

  n | frames (aka samples) in one signal vector
  insigs | array of input vectors (get number with function CntInSig())
  outsigs | array of output vectors (get number with function CntOutSig())